Package org.zkoss.zel

## Class MethodExpression

- java.lang.Object
- - org.zkoss.zel.Expression
  - - org.zkoss.zel.MethodExpression

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `MethodExpressionImpl`, `MethodExpressionLiteral`

      public abstract class MethodExpression
      extends Expression

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MethodExpression()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract MethodInfo` | `getMethodInfo​(ELContext context)` |
    `abstract java.lang.Object` | `invoke​(ELContext context, java.lang.Object[] params)` |
    `boolean` | `isParametersProvided()` |

    - ### Methods inherited from class org.zkoss.zel.Expression

      `equals, getExpressionString, hashCode, isLiteralText`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MethodExpression

          public MethodExpression()

  - ### Method Detail

    - #### getMethodInfo

          public abstract MethodInfo getMethodInfo​(ELContext context)

      Parameters:
        `context` - The EL context for this evaluation
      Returns:
        Information about the method that this expression resolves to
      Throws:
        `java.lang.NullPointerException` - If the supplied context is `null`
        `PropertyNotFoundException` - If a property/variable resolution failed because no match was found or a match was found but was not readable
        `MethodNotFoundException` - If no matching method can be found
        `ELException` - Wraps any exception throw whilst resolving the property

    - #### invoke

          public abstract java.lang.Object invoke​(ELContext context,
                                                  java.lang.Object[] params)

      Parameters:
        `context` - The EL context for this evaluation
        `params` - The parameters with which to invoke this method expression
      Returns:
        The result of invoking this method expression
      Throws:
        `java.lang.NullPointerException` - If the supplied context is `null`
        `PropertyNotFoundException` - If a property/variable resolution failed because no match was found or a match was found but was not readable
        `MethodNotFoundException` - If no matching method can be found
        `ELException` - Wraps any exception throw whilst resolving the property or coercion of the result to the expected return type fails

    - #### isParametersProvided

          public boolean isParametersProvided()

      Returns:
        This default implementation always returns `false`
      Since:
        EL 3.0